/*++

Copyright (c) 1999 Microsoft Corporation

Module Name:

    usbdebug.h

Abstract:

    IOS port driver for USB LS-120 drive
    debug header file

Environment:

    kernel mode only

Notes:

  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY
  KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR
  PURPOSE.

  Copyright (c) 1999 Microsoft Corporation.  All Rights Reserved.


Revision History:

    03/19/99: MRB  Original

--*/


#ifdef DEBUG

#define DBG_MIN     1
#define DBG_DEFAULT 2 
#define DBG_MAX     3

extern DWORD CurrentDebugMask;

#define USBSTOR_DebugPrintf(DebugMask, _x_) \
        if( CurrentDebugMask >= DebugMask) { \
                        Debug_Printf("USBSTOR: "); \
                        Debug_Printf##_x_; \
       }

#else
#define USBSTOR_DebugPrintf(DebugMask, _x_) 
#endif
